<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
    <Platforms>AnyCPU;x64</Platforms>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>portable</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Resources\Fonts\Nunito-Black.ttf" />
    <None Remove="Resources\Fonts\Nunito-BlackItalic.ttf" />
    <None Remove="Resources\Fonts\Nunito-Bold.ttf" />
    <None Remove="Resources\Fonts\Nunito-BoldItalic.ttf" />
    <None Remove="Resources\Fonts\Nunito-ExtraBold.ttf" />
    <None Remove="Resources\Fonts\Nunito-ExtraBoldItalic.ttf" />
    <None Remove="Resources\Fonts\Nunito-ExtraLight.ttf" />
    <None Remove="Resources\Fonts\Nunito-ExtraLightItalic.ttf" />
    <None Remove="Resources\Fonts\Nunito-Italic.ttf" />
    <None Remove="Resources\Fonts\Nunito-Light.ttf" />
    <None Remove="Resources\Fonts\Nunito-LightItalic.ttf" />
    <None Remove="Resources\Fonts\Nunito-Medium.ttf" />
    <None Remove="Resources\Fonts\Nunito-MediumItalic.ttf" />
    <None Remove="Resources\Fonts\Nunito-Regular.ttf" />
    <None Remove="Resources\Fonts\Nunito-SemiBold.ttf" />
    <None Remove="Resources\Fonts\Nunito-SemiBoldItalic.ttf" />
    <None Remove="Resources\Images\arrow-left.svg" />
    <None Remove="Resources\Images\arrow-right.svg" />
    <None Remove="Resources\Images\minus.svg" />
    <None Remove="Resources\Images\profile.svg" />
    <None Remove="Resources\Images\x-baddne.svg" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\Fonts\Nunito-Black.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-BlackItalic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-Bold.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-BoldItalic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-ExtraBold.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-ExtraBoldItalic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-ExtraLight.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-ExtraLightItalic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-Italic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-Light.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-LightItalic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-Medium.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-MediumItalic.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-Regular.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-SemiBold.ttf" />
    <EmbeddedResource Include="Resources\Fonts\Nunito-SemiBoldItalic.ttf" />
    <EmbeddedResource Include="Resources\Images\arrow-left.svg" />
    <EmbeddedResource Include="Resources\Images\arrow-right.svg" />
    <EmbeddedResource Include="Resources\Images\minus.svg" />
    <EmbeddedResource Include="Resources\Images\profile.svg" />
    <EmbeddedResource Include="Resources\Images\x-baddne.svg" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="SkiaSharp" Version="2.88.2" />
    <PackageReference Include="Telepathy" Version="1.0.341" />
    <PackageReference Include="Xamarin.CommunityToolkit" Version="2.0.5" />
    <PackageReference Include="Xamarin.FFImageLoading" Version="2.4.11.982" />
    <PackageReference Include="Xamarin.FFImageLoading.Forms" Version="2.4.11.982" />
    <PackageReference Include="Xamarin.FFImageLoading.Svg" Version="2.4.11.982" />
    <PackageReference Include="Xamarin.FFImageLoading.Svg.Forms" Version="2.4.11.982" />
    <PackageReference Include="Xamarin.Forms" Version="5.0.0.2515" />
    <PackageReference Include="Xamarin.Essentials" Version="1.7.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Common\Common.csproj" />
    <ProjectReference Include="..\..\Core\Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="UI\Pages\SelectRadiusPage.xaml.cs">
      <DependentUpon>SelectRadiusPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="UI\Views\CrawlSessionMiniView.xaml.cs">
      <DependentUpon>CrawlSessionMiniView.xaml</DependentUpon>
    </Compile>
    <Compile Update="UI\Views\CategoryMiniView.xaml.cs">
      <DependentUpon>CategoryMiniView.xaml</DependentUpon>
    </Compile>
    <Compile Update="UI\Views\InsertionMiniView.xaml.cs">
      <DependentUpon>InsertionMiniView.xaml</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="AppShell.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="UI\Pages\AddCrawlSessionPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
	  <EmbeddedResource Update="UI\Pages\SelectCategoryPage.xaml">
		  <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
	  </EmbeddedResource>
    <EmbeddedResource Update="UI\Pages\DashboardPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="TCPPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="UI\Views\CrawlSessionMiniView.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="UI\Views\InsertionMiniView.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>
</Project>